optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputConditioning.InputConditioningFilter Class Reference
Inheritance diagram for optoKummenberg.registers.InputConditioning.InputConditioningFilter:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetActiveFiltersMask (self, value)
| GetActiveFiltersMask (self, value=0)
| SelectFilterInstance (self, value)
| LoadFilterCoeff (self, value)
| GetFilterInputCoeffNum (self)
| GetFilterOutputCoeffNum (self)
| GetFilterInput (self)
| GetFilterOutput (self)
| GetOutputValueID (self, instance_number)
| SetInputCoeffs (self, index, vector)
| SetOutputCoeffs (self, index, vector)
| GetInputCoeffs (self, index, count)
| GetOutputCoeffs (self, index, count)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x9C | channel
dict | mskActiveFilters
dict | selectFilterInstance
dict | loadFilterCoeff
dict | getInCoeffNbr
dict | getOutCoeffNbr
dict | inputValue
dict | outputValue
dict | outputValueF0
dict | outputValueF1
dict | outputValueF2
dict | outputValueF3
dict | vectInputCoeff
dict | vectOutputCoeff
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Output Conditioning Channel - Offset and Scaling
    System ID: 0x9C through 0x9F

    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name       | Id   | Type        | Unit               | Range       | Default | Comment                |
    +=====================+======+=============+====================+=============+=========+========================+
    |                     |      |             |                    |             |         |                        |
    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetActiveFiltersMask()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetActiveFiltersMask | ( |  | self,
|  |  | value = 0 )

## ◆ GetFilterInput()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetFilterInput | ( |  | self | ) |

## ◆ GetFilterInputCoeffNum()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetFilterInputCoeffNum | ( |  | self | ) |

## ◆ GetFilterOutput()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetFilterOutput | ( |  | self | ) |

## ◆ GetFilterOutputCoeffNum()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetFilterOutputCoeffNum | ( |  | self | ) |

## ◆ GetInputCoeffs()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetInputCoeffs | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetOutputCoeffs()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetOutputCoeffs | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetOutputValueID()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.GetOutputValueID | ( |  | self,
|  |  | instance_number )

## ◆ help()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.help | ( |  | ) |
| static

## ◆ LoadFilterCoeff()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.LoadFilterCoeff | ( |  | self,
|  |  | value )

## ◆ SelectFilterInstance()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.SelectFilterInstance | ( |  | self,
|  |  | value )

## ◆ SetActiveFiltersMask()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.SetActiveFiltersMask | ( |  | self,
|  |  | value )

## ◆ SetInputCoeffs()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.SetInputCoeffs | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ SetOutputCoeffs()

optoKummenberg.registers.InputConditioning.InputConditioningFilter.SetOutputCoeffs | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputConditioning.InputConditioningFilter._readonly = False
| protected

## ◆ getInCoeffNbr

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.getInCoeffNbr

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type':int,
'unit': None,
'range': [0, 100],
'default': 0,
'value': 0}

## ◆ getOutCoeffNbr

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.getOutCoeffNbr

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type':int,
'unit': None,
'range': [0, 100],
'default': 0,
'value': 0}

## ◆ inputValue

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.inputValue

Initial value:
= {'id': self.sys_id << 8 | 0x10,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ loadFilterCoeff

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.loadFilterCoeff

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type':int,
'unit': None,
'range': [0, 1],
'default': 0,
'value': 0}

## ◆ mskActiveFilters

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.mskActiveFilters

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': [0, 15],
'default': 1,
'value': 1}

## ◆ outputValue

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.outputValue

Initial value:
= {'id': self.sys_id << 8 | 0x20,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ outputValueF0

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.outputValueF0

Initial value:
= {'id': self.sys_id << 8 | 0x21,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ outputValueF1

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.outputValueF1

Initial value:
= {'id': self.sys_id << 8 | 0x22,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ outputValueF2

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.outputValueF2

Initial value:
= {'id': self.sys_id << 8 | 0x23,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ outputValueF3

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.outputValueF3

Initial value:
= {'id': self.sys_id << 8 | 0x24,
'type':float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ selectFilterInstance

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.selectFilterInstance

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': [0, 3],
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.InputConditioning.InputConditioningFilter.sys_id = 0x9C | channel

## ◆ vectInputCoeff

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.vectInputCoeff

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float}

## ◆ vectOutputCoeff

dict optoKummenberg.registers.InputConditioning.InputConditioningFilter.vectOutputCoeff

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputConditioning.py